Skip to content

Get Lots

GET
/api/v1/wallets/{address}/lots
curl --request GET \
--url 'https://api.qeychain.xyz/api/v1/wallets/example/lots?page=1&per_page=50'

Get tax lots for a wallet with filtering and pagination.

Response Format:

{
  "success": true,
  "data": [
    {"lot_id": "ETH-001", "symbol": "ETH", "status": "OPEN", ...}
  ],
  "meta": {...},
  "pagination": {...}
}
address
required
Address
string
status
Any of:
string

Filter by status: OPEN, PARTIAL, CLOSED

symbol
Any of:
string

Filter by token symbol

page
Page

Page number

integer
default: 1 >= 1

Page number

per_page
Per Page

Items per page

integer
default: 50 >= 1 <= 100

Items per page

owned_wallets
Any of:
Array<string>

Successful Response

Media typeapplication/json
Response Get Lots Api V1 Wallets Address Lots Get
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}